---
title: SVGImageElement.preserveAspectRatio
slug: Web/API/SVGImageElement/preserveAspectRatio
tags:
  - API
  - Image
  - NeedsExample
  - Property
  - Reference
  - SVG
  - SVG DOM
  - SVGImageElement
  - preserveAspectRatio
---
<div>{{APIRef("SVG")}}</div>

<p class="summary">The <strong><code>preserveAspectRatio</code></strong> read-only property of the {{domxref("SVGImageElement")}} interface returns an {{domxref("SVGAnimatedPreserveAspectRatio")}} corresponding to the {{SVGAttr("preserveAspectRatio")}} attribute of the given {{SVGElement("image")}} element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var svgAnimatedPreerveAspectRatio = <em>svgImageElement</em>.preserveAspectRatio;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("SVGAnimatedPreserveAspectRatio")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "coords.html#PreserveAspectRatioAttribute", "preserveAspectRatio")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "coords.html#PreserveAspectRatioAttribute", "preserveAspectRatio")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGImageElement.preserveAspectRatio")}}</p>
